# phpDox - Query\Drivers\AbstractDriver::driverQuery

# Query\Drivers\AbstractDriver::driverQuery

#### Method to simplify retrieving db results for meta-data queries

## Signature

`public function driverQuery(string|array|null $query, [boolean $filteredIndex = TRUE] )`

## Parameters

`$query` — object
`$filteredIndex` — boolean

## Returns

array|null

## Defined by Interface

`DriverInterface`

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
500 | BooleanArgumentFlag | The method driverQuery has a boolean flag argument $filteredIndex, which is a certain sign of a Single Responsibility Principle violation.